Teams/Powershell - Updating MicrosoftTeams Module

%3CLINGO-SUB%20id%3D%22lingo-sub-1250456%22%20slang%3D%22en-US%22%3ETeams%2FPowershell%20-%20Updating%20MicrosoftTeams%20Module%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1250456%22%20slang%3D%22en-US%22%3E%3CP%3EHi%2C%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EI'm%20trying%20to%20use%20this%20command%3A%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CPRE%3ENew-TeamChannel%20%20-GroupId%20%26lt%3BString%26gt%3B%20-MembershipType%20Private%3C%2FPRE%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EBut%20the%20%22-MembershipType%22%26nbsp%3B%20isn't%20available%20on%20the%20current%20module%20version%20I%20have%20(1.0.5)%3A%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CPRE%3EVersion%20Name%20Repository%20Description%20%3CBR%20%2F%3E-------%20----%20----------%20-----------%20%3CBR%20%2F%3E1.0.5%20MicrosoftTeams%20PSGallery%20Teams%20Cmdlets%20module%3C%2FPRE%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EIt%20is%20supposed%20to%20work%20with%20more%20recent%20versions%2C%20but%20those%20are%20only%20available%20in%20this%20beta%20channel%3A%3C%2FP%3E%3CP%3E%3CA%20href%3D%22https%3A%2F%2Fwww.poshtestgallery.com%2Fpackages%2FMicrosoftTeams%2F1.0.21%22%20target%3D%22_blank%22%20rel%3D%22noopener%20nofollow%20noopener%20noreferrer%20noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fwww.poshtestgallery.com%2Fpackages%2FMicrosoftTeams%2F1.0.21%3C%2FA%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EHow%20can%20I%20update%20the%20MicrosoftTeams%20module%20to%20this%20beta%20version%3F%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThanks%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-1250456%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EAdministrator%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1250546%22%20slang%3D%22en-US%22%3ERe%3A%20Teams%2FPowershell%20-%20Updating%20MicrosoftTeams%20Module%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1250546%22%20slang%3D%22en-US%22%3E%3CP%3EI%20think%20I%20got%20it.%3C%2FP%3E%3CP%3EUninstall%20any%20other%20MicrosoftTeams%20modules%20already%20installed.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EAdd%20the%20test%20repository%3A%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CPRE%3E%20Register-PSRepository%20-Name%20PSTestGallery%20-SourceLocation%20%3CA%20href%3D%22https%3A%2F%2Fwww.poshtestgallery.com%2Fapi%2Fv2%22%20target%3D%22_blank%22%20rel%3D%22nofollow%20noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fwww.poshtestgallery.com%2Fapi%2Fv2%3C%2FA%3E%3C%2FPRE%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EAnd%20then%20force%20the%20installation%20from%20that%20Repository%3A%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CPRE%3E%20Install-Module%20-Name%20MicrosoftTeams%20-Repository%20PSTestGallery%20-Force%3C%2FPRE%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E
Highlighted
Occasional Contributor

Hi,

 

I'm trying to use this command:

 

New-TeamChannel  -GroupId <String> -MembershipType Private

 

But the "-MembershipType"  isn't available on the current module version I have (1.0.5):

 

Version Name Repository Description 
------- ---- ---------- -----------
1.0.5 MicrosoftTeams PSGallery Teams Cmdlets module

 

It is supposed to work with more recent versions, but those are only available in this beta channel:

https://www.poshtestgallery.com/packages/MicrosoftTeams/1.0.21

 

How can I update the MicrosoftTeams module to this beta version?

 

Thanks

 

 

1 Reply
Highlighted

I think I got it.

Uninstall any other MicrosoftTeams modules already installed. 

 

Add the test repository:

 

 Register-PSRepository -Name PSTestGallery -SourceLocation https://www.poshtestgallery.com/api/v2

 

And then force the installation from that Repository:

 

 Install-Module -Name MicrosoftTeams -Repository PSTestGallery -Force